#
# spec file for package python-leveldb
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-leveldb
Version:        0.20
Release:        bp156.3.4
Summary:        Python bindings for leveldb database library
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            http://code.google.com/p/py-leveldb/
Source:         https://files.pythonhosted.org/packages/source/l/leveldb/leveldb-%{version}.tar.gz
Patch0:         python_38.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Python bindings for leveldb database library.

%prep
%setup -q -n leveldb-%{version}
%patch0 -p1
chmod -x README

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest_arch test/test.py

%files %{python_files}
%doc README
%{python_sitearch}/*

%changelog
* Mon Mar  9 2020 Ondřej Súkup <mimi.vx@gmail.com>
- add python_38.patch to fix python3.8 build
* Thu Mar 28 2019 Tomáš Chvátal <tchvatal@suse.com>
- Execute testsuite
- Run fdupes
* Fri Dec 22 2017 mpluskal@suse.com
- Update to lastest released version 0.20:
  * No changelog available
- Fix building
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Sun Aug 16 2015 i@marguerite.su
- update version 0.193
  * no changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sat Oct 12 2013 i@marguerite.su
- update version 0.19
  * no upstream changelog available
* Fri Apr  5 2013 speilicke@suse.com
- Use distribute instead of setuptools
- Package README
* Sun Mar 17 2013 prusnak@opensuse.org
- created package (version 0.16)
